Daha çox

Gdal2tiles.py, təzə Ubuntu 14.04 quraşdırılmasında EPSG: 900913 haqqında ERROR 6 verir.

Gdal2tiles.py, təzə Ubuntu 14.04 quraşdırılmasında EPSG: 900913 haqqında ERROR 6 verir.


Təzə Ubuntu 14.04 yükləməm var. İlə gdal qurdumsudo apt-get gdal-bin python-gdal qurun. Bundan sonra məndə var: GDAL 1.10.1 2013/08/26 buraxıldı.

NOAA -dan hava radar görüntülərini yapışdırmağa çalışıram. Aşağıda mənim addımlarım və göstərilən səhv mesajı göstərilir.

$ wget http://radar.weather.gov/ridge/Conus/RadarImg/latest_radaronly.gif ">

@User30184 şərhdə dediklərindən gedir.

Bu məsələ ondadır ki gdal2tiles.py skript gdal -a 'mercator' kimi çıxmasını bildirir EPSG: 900913. Buna necə çevriləcəyini bildiyi müddətcə bu yaxşıdır.

Düzəliş, gdal2tile.py -də (sətir 785) aşağıdakı sətri dəyişdirməkdir:

əgər self.options.profile == 'mercator': self.out_srs.ImportFromEPSG -dən (900913)

üçün:

əgər self.options.profile == 'merkator': self.out_srs.ImportFromEPSG -dən (3857)

Bu dəyişiklik gdal2tiles.py -nin səhvsiz işləməsinə imkan verir.